/**
 * Created on 28.03.2005
 *
 * @author Jens Guenther
 */
package de.unirostock.Prototype.example;

import javax.swing.ImageIcon;

public abstract class Ship
implements Cloneable
{
	private String		itsMaterial;
	private String		itsName;
	private	int			itsNumber;
	
	public abstract Object clone();

	public void setMaterial(String material) {
		itsMaterial = material;
	}

	public void setName(String name) {
		itsName = name;
	}

	public void setNumber( int num ) {
		itsNumber = num;
	}

	public String getMaterial() {
		return itsMaterial;
	}

	public String getName() {
		return itsName;
	}
	
	public int getNumber() {
		return itsNumber;
	}
	
	public abstract ImageIcon getIcon();
}
